## libapache2-mod-watchcat 1.0

=== Makefile ===
PKGNAME= mod_watchcat
PKGCONF= 55_mod_watchcat.conf
PKGVERSION= 1.0

APXS= /usr/sbin/apxs2

all: mod_watchcat.so

mod_watchcat.so: mod_watchcat.c
	$(APXS) -c mod_watchcat.c -lwcat

install:
	$(APXS) -i -n mod_watchcat.so mod_watchcat.la

clean:
	rm -f *.o *.c~ *.h~ *.conf~ *.[0-9]~ mod_watchcat.so mod_watchcat.lo mod_watchcat.slo mod_watchcat.la
	rm -rf .libs ../mod_watchcat-$(PKGVERSION)
	rm -f COPYRIGHT~ TODO~ Makefile~

rpm: clean
	cp -a . ../$(PKGNAME)-$(PKGVERSION)
	bzip2 -9 $(PKGCONF)
	tar -jcC .. -f $(PKGNAME)-$(PKGVERSION).tar.bz2 $(PKGNAME)-$(PKGVERSION) --exclude CVS
	rpm -ta $(PKGNAME)-$(PKGVERSION).tar.bz2
	bunzip2 $(PKGCONF).bz2
	rm -rf $(PKGNAME)-$(PKGVERSION).tar.bz2 ../$(PKGNAME)-$(PKGVERSION)

## libapache2-mod-watchcat 1.1.2

=== Makefile ===
PKGNAME= mod_watchcat
PKGCONF= 55_mod_watchcat.conf
PKGVERSION= 1.1.2

APXS= /usr/bin/apxs2

all: mod_watchcat.so

mod_watchcat.so: mod_watchcat.c
	$(APXS) -c mod_watchcat.c -lwcat

install:
	$(APXS) -i -n mod_watchcat.so mod_watchcat.la

clean:
	rm -f *.o *.c~ *.h~ *.conf~ *.[0-9]~ mod_watchcat.so mod_watchcat.lo mod_watchcat.slo mod_watchcat.la $(PKGNAME)-$(PKGVERSION).tar.bz2
	rm -rf .libs
	rm -f COPYRIGHT~ TODO~ Makefile~
	if [ -f $(PKGCONF).bz2 ]; then bunzip2 $(PKGCONF).bz2; fi
	if [ `basename ${PWD}` != "$(PKGNAME)-$(PKGVERSION)" ]; then \
	  rm -rf ../$(PKGNAME)-$(PKGVERSION); \
	fi

rpm: clean
	if [ `basename ${PWD}` != "$(PKGNAME)-$(PKGVERSION)" ]; then \
	  cp -a . ../$(PKGNAME)-$(PKGVERSION); \
	fi
	bzip2 -9 $(PKGCONF)
	tar -jcC .. --exclude CVS -f $(PKGNAME)-$(PKGVERSION).tar.bz2 $(PKGNAME)-$(PKGVERSION)
	rpm -ta $(PKGNAME)-$(PKGVERSION).tar.bz2
	bunzip2 $(PKGCONF).bz2
	rm -rf $(PKGNAME)-$(PKGVERSION).tar.bz2
	if [ `basename ${PWD}` != "$(PKGNAME)-$(PKGVERSION)" ]; then \
	  rm -rf ../$(PKGNAME)-$(PKGVERSION); \
	fi

=== debian/changelog ===
libapache2-mod-watchcat (1.1.2-2) unstable; urgency=medium

  * New maintainer (#960549)
  * Add header to quilt patch.
  * d/control: Add Requires-Root section.
  * Change package section to httpd.
  * Change format of debian/copyright to DEP5.
  * Remove deprecated VCS.

 -- Georgy Komarov <jubnzv@gmail.com>  Wed, 23 Sep 2020 14:32:15 +0300

libapache2-mod-watchcat (1.1.2-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [3b469ce] debian/control: Added VCS fields
  * [68edf59] debian/control: Fixed homepage url
  * [e309b79] Added debian watch file
  * [85303c6] Add quilt support
  * [027ed89] Add patch to fix handler detection for dynamic content
  * [8f838fa] Move build fix to a quilt patch
  * [06d0735] Imported Upstream version 1.1.2
  * [819f1b0] Drop fix-handler-detection.patch, applied upstream
  * [e0b12d4] fix-build.patch: Refreshed for new upstream release

  [ Cyril Bouthors ]
  * rebuild package

 -- Cyril Bouthors <cyril@bouthors.org>  Thu, 26 Jun 2014 09:09:32 +0200

libapache2-mod-watchcat (1.0-3) unstable; urgency=low

  * Add Apache 2.4 support

 -- Cyril Bouthors <cyril@bouthors.org>  Fri, 10 May 2013 20:38:06 +0200

libapache2-mod-watchcat (1.0-2) unstable; urgency=low

  * Add missing build dependency on libwcat1-dev (Closes: #706369).

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 29 Apr 2013 09:25:13 +0200

libapache2-mod-watchcat (1.0-1) unstable; urgency=low

  * Initial Release. (Closes: #603217)

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 23 Apr 2013 23:40:24 +0200

=== debian/control ===
Source: libapache2-mod-watchcat
Section: httpd
Priority: optional
Build-Depends: debhelper-compat (= 13), apache2-dev, libwcat1,
               dpkg-dev (>= 1.16.1~), libwcat1-dev, quilt
Maintainer: Georgy Komarov <jubnzv@gmail.com>
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Homepage: http://oss.digirati.com.br/mod_watchcat/

Package: libapache2-mod-watchcat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, apache2-api-20120211, watchcatd
Description: Process monitoring Apache module
 A bug or malicious attacks to machine can lock up a process, leading to a
 deadlock or an unexpected condition. For example: an Apache httpd with
 mod_(php|perl|lua|your_preferred_script_language) running a bad script. When
 the monitored process locks up, the watchcat helps killing him. It is the best
 thing to do.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export APXS=apxs2
PREFIX=debian/libapache2-mod-watchcat

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(PREFIX)/usr/lib/apache2/modules
	cp .libs/mod_watchcat.so $(PREFIX)/usr/lib/apache2/modules
	mkdir -p $(PREFIX)/etc/apache2/mods-available
	cp debian/watchcat.load $(PREFIX)/etc/apache2/mods-available
	cp debian/watchcat.conf $(PREFIX)/etc/apache2/mods-available

=== debian/watch ===
version=3
http://oss.digirati.com.br/mod_watchcat/ \
mod_watchcat-([\d\.]*)\.tar\.gz
